curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"description": "description",
"modelConfigKey": "modelConfigKey",
"tools": [
{
"version": 6,
"key": "key"
},
{
"version": 6,
"key": "key"
}
],
"skills": [
{
"version": 1,
"key": "key"
},
{
"version": 1,
"key": "key"
}
],
"toolKeys": [
"toolKeys",
"toolKeys"
],
"name": "name",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"outputFormat": {
"key": ""
},
"key": "key",
"modelConfigVersion": 1
}
'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations"
payload = {
"judgeConfiguration": { "judges": [
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
}
] },
"instructions": "instructions",
"description": "description",
"modelConfigKey": "modelConfigKey",
"tools": [
{
"version": 6,
"key": "key"
},
{
"version": 6,
"key": "key"
}
],
"skills": [
{
"version": 1,
"key": "key"
},
{
"version": 1,
"key": "key"
}
],
"toolKeys": ["toolKeys", "toolKeys"],
"name": "name",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"outputFormat": { "key": "" },
"key": "key",
"modelConfigVersion": 1
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
judgeConfiguration: {
judges: [
{samplingRate: 0.36160767, judgeConfigKey: 'judgeConfigKey'},
{samplingRate: 0.36160767, judgeConfigKey: 'judgeConfigKey'}
]
},
instructions: 'instructions',
description: 'description',
modelConfigKey: 'modelConfigKey',
tools: [{version: 6, key: 'key'}, {version: 6, key: 'key'}],
skills: [{version: 1, key: 'key'}, {version: 1, key: 'key'}],
toolKeys: ['toolKeys', 'toolKeys'],
name: 'name',
messages: [{role: 'role', content: 'content'}, {role: 'role', content: 'content'}],
comment: 'comment',
model: '{}',
outputFormat: {key: ''},
key: 'key',
modelConfigVersion: 1
})
};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"color": "color",
"_links": {
"parent": {
"href": "href",
"type": "type"
}
},
"description": "description",
"modelConfigKey": "modelConfigKey",
"judgingConfigKeys": [
"judgingConfigKeys",
"judgingConfigKeys"
],
"version": 5,
"tools": [
{
"customParameters": {
"key": ""
},
"version": 7,
"key": "key"
},
{
"customParameters": {
"key": ""
},
"version": 7,
"key": "key"
}
],
"skills": [
{
"version": 9,
"key": "key"
},
{
"version": 9,
"key": "key"
}
],
"createdAt": 1,
"_publishedAt": 2,
"_archivedAt": 5,
"name": "name",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"_id": "_id",
"state": "state",
"outputFormat": {
"key": ""
},
"key": "key",
"modelConfigVersion": 6
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}Create AI Config variation
Create a new variation for a given AI Config.
The model in the request body requires a modelName and parameters, for example:
"model": {
"modelName": "claude-3-opus-20240229",
"parameters": {
"max_tokens": 1024
}
}
Authorizations
Body
AI Config variation object to create
Human-readable description of this variation
Returns the description for the agent. This is only returned for agent variations.
Returns the instructions for the agent. This is only returned for agent variations.
Show child attributes
Show child attributes
The exact model config version to set this variation to. Requires modelConfigKey to be set, and the version must exist for that model config. When omitted, the variation records the model config's current (latest) version.
x >= 1JSON Schema defining the structured output format for the variation.
List of tools to use for this variation. The latest version of the tool will be used.
Show child attributes
Show child attributes
List of tool keys to use for this variation. The latest version of the tool will be used.
List of agent skills to attach to this variation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{
"judges": [
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
}
]
}
Response
AI Config variation created
Show child attributes
Show child attributes
{
"parent": { "href": "href", "type": "type" }
}
Returns the description for the agent. This is only returned for agent variations.
Returns the instructions for the agent. This is only returned for agent variations.
Show child attributes
Show child attributes
The version of the model config that this variation is pinned to, when it references a custom model config. Absent when the variation does not reference a model config, when the variation is not pinned to a specific version, or when custom model config versioning is not enabled for the project.
JSON Schema defining the structured output format for the variation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{
"judges": [
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.36160767,
"judgeConfigKey": "judgeConfigKey"
}
]
}